FreeBSD – /libexec/ld-elf.so.1: Shared object “libm.so.4″ not found, required by “php”

FreeBSD 에서 ZendOptimizer 3.3.3 버전을 설치 하다보면 겪는 문제로.. 아래 파일들을 링크를 걸어 주면 됩니다.
(FreeBSD 8.1 에서 테스트 되었으며 그 하위 FreeBSD 버전은 링크할 파일명이 다를수 있습니다.)

[root@yongbok ~]# cd /lib
[root@yongbok ~]# ln -s /lib/libm.so.5 /lib/libm.so.4
[root@yongbok ~]# ln -s /lib/libutil.so.8 /lib/libutil.so.5
[root@yongbok ~]# ln -s /lib/libcrypt.so.5 /lib/libcrypt.so.3
[root@yongbok ~]# ln -s /lib/libc.so.7 /lib/libc.so.6

Comments

comments